<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_trimmean.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_trimmean" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_trimmean</refname>
    <refpurpose>calculates the trimmed mean by removing the upper and lower</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   Q = nan_trimmean(Y,p)
   Q = nan_trimmean(Y,p,DIM)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Q:</term>
      <listitem><para> returns the trimmean along dimension DIM of sample array Y.</para></listitem></varlistentry>
   <varlistentry><term>p:</term>
      <listitem><para>  If p is a vector, the trimmean for each p is computed.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
nan_trimmean calculates the trimmed mean by removing the fraction of p/2 upper and
p/2 lower samples. Missing values (encoded as NaN) are ignored and not taken into account.
The same number from the upper and lower values are removed, and is compatible to various
spreadsheet programs including GNumeric [1], LibreOffice, OpenOffice and MS Excel.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>[1] http://www.fifi.org/doc/gnumeric-doc/html/C/gnumeric-trimmean.html</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_percentile">nan_percentile</link></member>
   <member><link linkend="nan_quantile">nan_quantile</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2009,2010 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
